* Fix plugins paths for windows builds due recent changes in rizin
* Disable openssl support for yara win
* Disable use_sys_yara in linux/osx/win builds
Crash dumps generated with breakpad were not made use of to an extent
that would justify the extra maintenance overhead that it comes with. As
Windows builds have recently been broken by it, now is a good time to
retire it.
* Download and install sigdb option and disable swift demangler when libswift is installed
* Remove dir.prefix and use rz_core_analysis_sigdb_list for sigdb
* Use a different color for flirts
* Updated to rizin dev
* Use rz_path_set_prefix to set the prefix path on OSX bundle
API usage has been adjusted.
There are now also cmake config files directly installed by Rizin itself, so we don't need to keep a custom FindRizin.cmake file in Cutter. This remove that file and just uses `find_package(Rizin COMPONENTS Core)`, which will use the cmake files installed on the system.
* Do not break Python package making it unsignable
* Manaully add one of breakpad libs for codesigning. It doesn't get signed automatically by codesign --deep.
* Enable macOS adhoc signing.
* Enable running of macOS packaging in GHA, most of the work done in dedbabde56
* Cleanup breakpad handling
* Have single version of main executable in folder expected by macOS and most tools instead of executable+symlink+shell script
* Handle Breakpad library lookup in more CMake way using FindBreakpad just like it's done on other platforms and packages
* Refactor error handling in some of the shell scripts to use `set -e` instead of `|| exit 1` for each command.
* Fix DMG background setup
* Run cutter appimage packaging in GHA.
* Update cutter-deps.
* Switch to older visual studio due to pyside having problems parsing MSVC
headers.
* Take GIL in the injected code fragment #2511.